import { h, Component } from 'preact';
import { Router } from 'preact-router';

import mdl from 'material-design-lite/material';
import { Layout } from 'preact-mdl';

// TODO: View components
import Header from './header';
import Sidebar from './sidebar';
import Home from './home';

require('offline-plugin/runtime').install();


/**
 * @class App
 * @description This is the applications entry point.
 */
export default class App extends Component {
	/**
	 * Gets fired when the route changes.
	 *	@param {Object} event		"change" event from [preact-router](http://git.io/preact-router)
	 *	@param {string} event.url	The newly routed URL
	 */
	handleRoute = e => {
		this.currentUrl = e.url;
		console.log('handleRoute', e);
	}

	render() {
		return (
			<div id="app">
				<Layout fixed-header fixed-drawer>
					<Header id="header"/>
					<Sidebar id="sidebar"/>
					<Layout.Content>
						<Router id="router">
							<Home path="/" default />
						</Router>
					</Layout.Content>
				</Layout>
			</div>
		);
	}
}
