import { h, Component } from 'preact';
import { Link } from 'preact-router';
import style from './style';

//import "material-design-lite";
//import "material-design-lite/dist/material.indigo-pink.min.css";

import mdl from 'material-design-lite/material';
import { Layout, Navigation } from 'preact-mdl';

export default class Sidebar extends Component {
	shouldComponentUpdate() {
		return false;
	}

    get isSmallScreen() {
        return this.layout.base.classList.contains("is-small-screen");
    }

    get hasFixedDrawer() {
        return this.layout.base.classList.contains("mdl-layout--fixed-drawer");
    }
	hide = () => {
		console.log('hide', this)
		//this.base.classList.remove('is-visible');
	 if (this.hasFixedDrawer && !this.isSmallScreen) {
          return;
      }
      this.layout.base.MaterialLayout.toggleDrawer();
	}
	render() {
		return (
			<Layout.Drawer onClick={this.hide}>
				<Layout.Title>my-preact-app</Layout.Title>
				<Navigation>
					<Navigation.Link href="/">Home</Navigation.Link>
					<Navigation.Link href="/users">Users</Navigation.Link>
					<Navigation.Link href="/users/me">Me</Navigation.Link>
				</Navigation>
			</Layout.Drawer>
		);
	}
}
