'use strict';
var Generator = require('yeoman-generator');
const _ = require('lodash');

module.exports = class extends Generator {
  constructor(args, opts) {
    super(args, opts);
    console.log('You invoked component generator with', this.args);
    this.name = this.name || this.options.name;
    this.camelName = _.camelCase(this.name);
  }
  writing() {
    this.fs.copyTpl(
      this.templatePath('_index.js'),
      this.destinationPath(`src/components/${this.name}/index.js`), {
        name: _.upperFirst(this.camelName),
        camelName: this.camelName
      }
    );
    this.fs.copyTpl(
      this.templatePath('_style.less'),
      this.destinationPath(`src/components/${this.name}/style.less`), {
        name: _.upperFirst(this.camelName),
        camelName: this.camelName
      }
    );
  }
};
