import { h, Component } from 'preact';
import style from './style';

/**
 * @class <%= name %> Component
 */
export default class <%= name %> extends Component {
	state = {
		rows: [
			{
				doc: {_id: 1, title: 'Example Document'}
			}
		]
	};

	componentWillReceiveProps(){
		console.log('componentWillReceiveProps', this);
	}

	shouldComponentUpdate(){
		console.log('shouldComponentUpdate', this);
	}

	componentWillUpdate(){
		console.log('componentWillUpdate', this);
	}

	componentDidUpdate(){
		console.log('componentDidUpdate', this);
	}

	componentWillMount(){
		console.log('componentWillMount', this);
	}

	componentWillUnmount(){
		console.log('componentWillUnmount', this);
	}

	componentDidUnmount(){
		console.log('componentDidUnmount', this);
	}

	async componentDidMount(){
		console.log('componentDidMount', this);
		//var resp = await api.getData();
		//this.setState({rows: resp.rows})
	}

	render({}, {rows = []}) {
		return (
			<div class={style.<%= camelName %>}>
				<h2><%= name %> </h2>
				<p>Total records {rows.length}</p>
				<table id="table" class="table">
					<thead>
						<tr>
							<th>ID</th>
							<th>Title</th>
							<th>Actions</th>
						</tr>
					</thead>
					<tbody>
					{ rows.map( row => (
						<tr id={row.id}>
							<td>{row.doc._id}</td>
							<td>{row.doc.title}</td>
							<td>
								<button onClick={_handleEdit}>Edit</button>
								<button onClick={_handleDelete}>Delete</button>
							</td>
						</tr>
					)) }
					</tbody>
				</table>
			</div>
		);
	}
}
